
package builder01;

public class TestNutritionFacts {
   public static void main(String[] args) {
      
      System.out.printf("TestNutritionFacts ... \n");
      System.out.printf("=================================================== \n");

      // Standard way of creating an object-representation of nutrition facts ...

      System.out.printf("\n");
      System.out.printf("Part 01: Create NutritionFacts Object ... \n");
		
      NutritionFacts cocaCola1 = new NutritionFacts(240, 8, 100, 0, 35, 27);
      System.out.println( cocaCola1.toString() );

      // Use builder to create object-representation of nutrition facts ...

      System.out.printf("\n");
      System.out.printf("Part 02: Use Builder to Create NutritionFacts Object ... \n");
		
      NutritionFactsWithBuilder cocaCola2 = new NutritionFactsWithBuilder.Builder(240, 8)
				.calories(100).sodium(35).carbohydrate(27).build();

      System.out.println( cocaCola2.toString() );

      System.out.printf("=================================================== \n");
      System.out.printf("Finished !! ... \n");
   }
}
