/*
 *  =====================================================================
 *  MyObserver.java: Observer design pattern implemented as a thread ....
 *  =====================================================================
 */

package observer02;

import java.util.Observable;
import java.util.Observer;

public class MyObserver implements Observer, Runnable {
   String name;

   public MyObserver() {}

   public MyObserver( String name ) {
      this.name = name;
   }

   public void start() {
      new Thread(this).start();
   }

   public void run() {}
 
   public void update(Observable o, Object arg) {
      Integer count = (Integer) arg;
      System.out.println("*** In observable thread:" + name + ":" + count.intValue());
   }
}
