/*
 *  ====================================================================
 *  CarPrintVisitor.java: Visit car elements and print details.
 *
 *  Modified by: Mark Austin                                  June, 2012
 *  ====================================================================
 */

package visitor01;
 
public class CarPrintVisitor implements CarElementVisitor {
    public void visit( Wheel wheel ) {      
        System.out.println("Print: visiting " + wheel.getName() + " wheel");
    }
 
    public void visit( Engine engine ) {
        System.out.println("Print: visiting engine");
    }
 
    public void visit( Body body ) {
        System.out.println("Print: visiting body");
    }
 
    public void visit( Car car ) {      
        System.out.println("Print: visiting car");
    }
}

