/*
 *  ====================================================================
 *  Engine.java: Specification for a car engine ....
 *
 *  Modified by: Mark Austin                                  June, 2012
 *  ====================================================================
 */

package visitor01;
 
public class Engine implements CarElement {
   private double price;

   // Set/get methods for engine price ....

   public void setPrice ( double price ) {
      this.price = price;
   }

   public double getPrice () {
      return price;
   }

   // Accept method for CarElement visitor ...

   public void accept(CarElementVisitor visitor) {
      visitor.visit(this);
   }
}

