
/*
 *  ==========================================================
 *  Rectangle.java: Adapter to legacy rectangle format.
 *  ==========================================================
 */

package adapter01;

public class Rectangle implements Shape {

    private LegacyRectangle adaptee = new LegacyRectangle();

    public void draw(int x1, int y1, int x2, int y2) {
        int width  = Math.abs(x2 - x1);
        int height = Math.abs(y2 - y1);

        adaptee.draw(Math.min(x1, x2), Math.min(y1, y2), width, height );
    }
}

