/*
 *  ==================================================================
 *  ListInterface.java: Interface to various implementations of a List
 *  ==================================================================
 */

package bridge02;

public interface ListInterface {
   public void    addItem(String item);
   public void    addItem(String item, int position);
   public void    removeItem(String item);
   public int     getNumberOfItems();
   public String  getItem(int index);
   public boolean supportsOrdering();
}
