/* 
 *  ============================================================================
 *  Car.java: Car class ...
 *  ============================================================================
 */ 

package builder02;

public class Car implements Builder {
    private String brandName;
    private Product product;

    public Car(String brand) {
        product = new Product();
        this.brandName = brand;
    }

    // Starting with brand name

    public void startUpOperations() {   
       product.add(String.format("Car model is :%s",this.brandName));
    }

    public void buildBody() {
       product.add("This is a body of a Car");
    }

    public void insertWheels() {
       product.add("4 wheels are added");
    }       

    public void addHeadlights() {
       product.add("2 Headlights are added");
    }

    public void endOperations() {}

    public Product getVehicle() {
        return product;
    }	
}

