/* 
 *  ===================================================================================
 *  Director.java: The director knows how to use the builder and the sequence of steps.
 *  ===================================================================================
 */ 

package builder02;

public class Director {
    Builder builder;

    public void construct(Builder builder) {
        this.builder = builder;
        builder.startUpOperations();
        builder.buildBody();
        builder.insertWheels();
        builder.addHeadlights();
        builder.endOperations();        
    }
}

