/**
 * ===================================================
 * Created by fp on 26.02.17.
 * ===================================================
 */

package mvc03.model;

import javafx.scene.paint.Color;

import java.util.Observable;

public class CircleModel extends Observable {
    private double x;
    private double y;
    private double radius;
    private Color   color;

    public CircleModel(double x, double y, double radius, Color color) {
        this.x = x;
        this.y = y;
        this.radius = radius;
        this.color  = color;
    }

    // Set/get methods for x, y, and radius ...

    public double getX() {
        return x;
    }

    public double getY() {
        return y;
    }

    public double getRadius() {
        return radius;
    }

    public void setRadius(double radius) {
        System.out.printf("--- CircleModel.setRadius: radius = %f \n", radius );

        this.radius = radius;
        setChanged();
        notifyObservers();
    }

    public Color getColor() {
        return color;
    }

    public void setColor(Color color) {
        this.color = color;
        setChanged();
        notifyObservers();
    }
}
