/*
 *  ===================================================================
 *  Student.java: A simple model of a student who listens for messages.
 * 
 *  Written by: Mark Austin                                   June 2012 
 *  ===================================================================
 */

package observer01;

import java.util.Observable;
import java.util.Observer;

public class Student implements Observer {
   private String sName;

   public Student ( String sName ) {
      this.sName = sName;
   }

   public void update( Observable o, Object arg ) {
      System.out.printf("Student: %s\n", sName  );
      System.out.printf("   Message board update: %s\n", (String) arg);
   }
}

