/*
 *  ====================================================================
 *  Body.java: Specification for a car body ....
 *
 *  Modified by: Mark Austin                                  June, 2012
 *  ====================================================================
 */

package visitor01;
 
public class Body implements CarElement {
   private double price;

   // Set/get methods for body price ....

   public void setPrice ( double price ) {
      this.price = price;
   }

   public double getPrice () {
      return price;
   }

   // Accept method for CarElement visitor ...

   public void accept(CarElementVisitor visitor) {
        visitor.visit(this);
   }
}

